Create trigger app

This API creates a trigger app associated with the specified trigger. The API supports the following request data objects: email, sms, forward, push_ios, push_android, and push_baidu. See the request examples below.

Note on forward: A forwarding trigger app posts json-formatted device, property, and custom data to the given REST API endpoint. The request data object sent to the specified endpoint resembles the following:

{
  "device": {
    "dsn": "AC000W000000001",
    "product_name": "Device 1"
  },
  "property": {
    "name": "my_prop",
    "base_type": "integer",
    "value": "25",
    "data_updated_at": "2019-09-20T19:02:04Z"
  },
  "data": "custom text"
}
NameTypeDescription
namestring (255 chars)email, sms, forward, push_ios, push_android, push_baidu
nicknamestring (255 chars)Name of Trigger App
usernamestring (255 chars)email greeting
repeat_freqinteger (default=30)repeat interval in seconds
param1string (255 chars)name-dependent
param2string (255 chars)name-dependent
param3string (255 chars)name-dependent
param4string (255 chars)name-dependent
param5string (255 chars)name-dependent
contact_idintegerAyla contact id of sender. See the getContact API.
push_soundstring (255 chars)mps sound file name
push_mdatastring (255 chars)metadata key/value pairs: "key1:value1, key2:value2"
email_template_idstring (255 chars)ID of custom email template
email_subjectstring (255 chars)Email subject line
email_body_htmlstring (255 chars)Email body with template tags
requires_acceptanceboolean (default=false)true=enables acceptance flow for SMS applications
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Unique trigger Identifier

Body Params
json
required
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json